\NeedsTeXFormat{pLaTeX2e}[1997/06/01]
\ProvidesClass{jslides}
              [2005/01/29 v2.2^^J%
               extended slides class by Yoshiki OTOBE.^^J%
               dviout version 3.17.4 (or later) is needed.]%
\input{slides.def}
\newcounter{@paper}
\newif\if@landscape \@landscapefalse
\InputIfFileExists{sfonts.cfg}
           {\typeout{**************************************^^J%
                     *^^J%
                     * Local config file sfonts.cfg used^^J%
                     *^^J%
                     **************************************}}%
           {\input{sfonts.def}}
\newif\if@presentation \@presentationfalse
\newif\if@indicator    \@indicatorfalse
\newif\if@usepi        \@usepitrue
\newif\if@bmp@mode     \@bmp@modetrue
\DeclareOption{a4paper}{%
    \setcounter{@paper}{1}
    \setlength\paperheight {297mm}%
    \setlength\paperwidth  {210mm}}
\DeclareOption{a5paper}{%
    \setcounter{@paper}{2}
    \setlength\paperheight {210mm}%
    \setlength\paperwidth  {148mm}}
\DeclareOption{b4paper}{%
    \setcounter{@paper}{3}%
    \setlength\paperheight {364mm}
    \setlength\paperwidth  {257mm}}
\DeclareOption{b5paper}{%
    \setcounter{@paper}{4}
    \setlength\paperheight {257mm}%
    \setlength\paperwidth  {182mm}}
\DeclareOption{vga}{% 640x480 300dpi
    \setcounter{@paper}{5}
    \setlength\paperheight {6in}
    \setlength\paperwidth  {8in}
    \@presentationtrue
    \@indicatorfalse
}
\DeclareOption{svga}{% 800x600 300dpi
    \setcounter{@paper}{6}
    \setlength\paperheight {6in}
    \setlength\paperwidth  {8in}
    \@presentationtrue
}
\DeclareOption{xga}{% 1024x768 300dpi
    \setcounter{@paper}{7}
    \setlength\paperheight {7.68in}
    \setlength\paperwidth  {10.24in}
    \@presentationtrue
}
\DeclareOption{sxga}{% 1280x1024 300dpi
    \setcounter{@paper}{8}
    \setlength\paperheight {10.24in}
    \setlength\paperwidth  {12.8in}
    \@presentationtrue
}
\DeclareOption{uxga}{% 1600x1200 300dpi
    \setcounter{@paper}{9}
    \setlength\paperheight {12in}
    \setlength\paperwidth  {16in}
    \@presentationtrue
}
\DeclareOption{1280x600}{% 1280x600 300dpi
    \setcounter{@paper}{10}
    \setlength\paperheight {6in}
]    \setlength\paperwidth  {12.8in}
    \@presentationtrue
}
\DeclareOption{1280x768}{% 1280x768 300dpi
    \setcounter{@paper}{11}
    \setlength\paperheight {7.68in}
    \setlength\paperwidth  {12.8in}
    \@presentationtrue
}
\DeclareOption{1024x600}{% 1024x600 300dpi
    \setcounter{@paper}{12}
    \setlength\paperheight {6in}
    \setlength\paperwidth  {10.24in}
    \@presentationtrue
}
\DeclareOption{525p}{% usual TV, 720x480
    \setcounter{@paper}{13}
    \setlength\paperheight {6in}
    \setlength\paperwidth  {9in}
    \@presentationtrue
}
\DeclareOption{720p}{% hivision TV, 1280x720
    \setcounter{@paper}{14}
    \setlength\paperheight {7.2in}
    \setlength\paperwidth  {12.8in}
    \@presentationtrue
}
\DeclareOption{1080i}{% hivision TV, 1920x1080
    \setcounter{@paper}{15}
    \setlength\paperheight {19.2in}
    \setlength\paperwidth  {10.8in}
    \@presentationtrue
}
\DeclareOption{landscape}{%
    \@landscapetrue
    \setlength\@tempdima   {\paperheight}%
    \setlength\paperheight {\paperwidth}%
    \setlength\paperwidth  {\@tempdima}%
}
\DeclareOption{tight}{%
  \AtEndOfPackage{%
    \let\huge\LARGE
    \let\LARGE\Large
    \let\Large\large
    \let\large\normalsize
    \let\normalsize\small
    \let\small\footnotesize
    \let\footnotesize\scriptsize
    \let\scriptsize\tiny
    \let\tiny\ttiny
    \normalsize
  }%
}
\DeclareOption{eps}{%
  \def\@wallpaper@extension{eps}%
  \@bmp@modefalse
}
\DeclareOption{bmp}{%
  \def\@wallpaper@extension{bmp}%
  \@bmp@modetrue
}
\DeclareOption{nopi}{%
  \@usepifalse
}
\newif\if@clock \@clockfalse
\DeclareOption{clock}{\@clocktrue
  \AtEndDocument{\typeout{\@arabic\c@minutes\space minutes}}
}%
\newcounter{minutes}%
\newcounter{seconds}%
\newcommand*{\settime}[1]{\setcounter{seconds}{0}\addtime{#1}}%
\newcommand*{\addtime}[1]{\addtocounter{seconds}{#1}%
  \setcounter{minutes}{\value{seconds}}%
  \global \divide \value{minutes} by 60\relax}

\@twosidefalse
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\newif\if@titlepage
\@titlepagetrue
\DeclareOption{titlepage}{\@titlepagetrue}
\DeclareOption{notitlepage}{\@titlepagefalse}
\DeclareOption{onecolumn}{}
\DeclareOption{twocolumn}{%
    \ClassWarning{jslides}{No 'twocolumn' layout for slides}}
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{\input{fleqn.clo}}
\DeclareOption{presen}{\@presentationtrue}
\DeclareOption{nopresen}{\@presentationfalse}
\ExecuteOptions{a4paper,final,bmp}
\ProcessOptions
%
% embed page size specials
\if@presentation
% "renew" (fn) is needed here since dviout may interpret the position of
% specials (href...) at the previous (possibly A4P) paper.
 \ifcase\c@@paper\or % A4
   \if@landscape\AtBeginDvi{\special{dviout -y=A4L fn}}%
   \else\AtBeginDvi{\special{dviout -y=A4P fn}}\fi
   \def\@st@fontsize{\normalsize}
  \or %A5
   \if@landscape\AtBeginDvi{\special{dviout -y=A5L fn}}%
   \else\AtBeginDvi{\special{dviout -y=A5P fn}}\fi
   \def\@st@fontsize{\small}
  \or %B4
   \if@landscape\AtBeginDvi{\special{dviout -y=B4L fn}}%
   \else\AtBeginDvi{\special{dviout -y=B4P fn}}\fi
   \def\@st@fontsize{\normalsize}
  \or %B5
   \if@landscape\AtBeginDvi{\special{dviout -y=B5L fn}}%
   \else\AtBeginDvi{\special{dviout -y=B5P fn}}\fi
   \def\@st@fontsize{\small}
  \or %VGA
   \AtBeginDvi{\special{dviout -dpi=320 -y=F640dot/80dpi:480dot/80dpi -gfit=+ -gow=- -gclip=+ -color=+ -GIF=5 -isp=pdf:;epsfig: fn}}
   \def\@st@fontsize{\small}
  \or %SVGA
   \AtBeginDvi{\special{dviout -dpi=300 -y=F800dot/100dpi:600dot/100dpi -gfit=+ -gow=- -gclip=+ -color=+ -GIF=5 -isp=pdf:;epsfig: fn}}
   \def\@st@fontsize{\normalsize}
  \or %XGA
   \AtBeginDvi{\special{dviout -dpi=300 -y=F1024dot/100dpi:768dot/100dpi -gfit=+ -gow=- -gclip=+ -color=+ -GIF=5 -isp=pdf:;epsfig: fn}}
   \def\@st@fontsize{\normalsize}
  \or %SXGA
   \AtBeginDvi{\special{dviout -dpi=300 -y=F1280dot/100dpi:1024dot/100dpi -gfit=+ -gow=- -gclip=+ -color=+ -GIF=5 -isp=pdf:;epsfig: fn}}
   \def\@st@fontsize{\normalsize}
  \or %UVGA
   \AtBeginDvi{\special{dviout -dpi=300 -y=F1600dot/100dpi:1200dot/100dpi -gfit=+ -gow=- -gclip=+ -color=+ -GIF=5 -isp=pdf:;epsfig: fn}}
   \def\@st@fontsize{\large}
  \or % ?? 1280x600
   \AtBeginDvi{\special{dviout -dpi=300 -y=F1280dot/100dpi:600dot/100dpi -gfit=+ -gow=- -gclip=+ -color=+ -GIF=5 -isp=pdf:;epsfig: fn}}
   \def\@st@fontsize{\normalsize}
  \or % ?? 1280x768
   \AtBeginDvi{\special{dviout -dpi=300 -y=F1280dot/100dpi:768dot/100dpi -gfit=+ -gow=- -gclip=+ -color=+ -GIF=5 -isp=pdf:;epsfig: fn}}
   \def\@st@fontsize{\normalsize}
  \or % ?? 1024x600
   \AtBeginDvi{\special{dviout -dpi=300 -y=F1024dot/100dpi:600dot/100dpi -gfit=+ -gow=- -gclip=+ -color=+ -GIF=5 -isp=pdf:;epsfig: fn}}
   \def\@st@fontsize{\normalsize}
  \or % 525p
   \AtBeginDvi{\special{dviout -dpi=320 -y=F720dot/80dpi:480dot/80dpi -gfit=+ -gow=- -gclip=+ -color=+ -GIF=5 -isp=pdf:;epsfig: fn}}
   \def\@st@fontsize{\normalsize}
  \or % 720p
   \AtBeginDvi{\special{dviout -dpi=300 -y=F1280dot/100dpi:720dot/100dpi -gfit=+ -gow=- -gclip=+ -color=+ -GIF=5 -isp=pdf:;epsfig: fn}}
   \def\@st@fontsize{\normalsize}
  \or % 1080i
   \AtBeginDvi{\special{dviout -dpi=300 -y=F1920dot/100dpi:1080dot/100dpi -gfit=+ -gow=- -gclip=+ -color=+ -GIF=5 -isp=pdf:;epsfig: fn}}
   \def\@st@fontsize{\normalsize}
 \fi
\else% \if@presentation
  \ifcase\c@@paper\or % A4
    \if@landscape\AtBeginDvi{\special{papersize=297mm,210mm}}%
    \else\AtBeginDvi{\special{papersize=210mm,297mm}}\fi
    \def\@st@fontsize{\normalsize}
   \or %A5
    \if@landscape\AtBeginDvi{\special{papersize=210mm,149mm}}%
    \else\AtBeginDvi{\special{papersize=149mm,210mm}}\fi
    \def\@st@fontsize{\small}
   \or %B4
    \if@landscape\AtBeginDvi{\special{papersize=364mm,257mm}}%
    \else\AtBeginDvi{\special{papersize=257mm,364mm}}\fi
    \def\@st@fontsize{\normalsize}
   \or %B5
    \if@landscape\AtBeginDvi{\special{papersize=257mm,182mm}}%
    \else\AtBeginDvi{\special{papersize=182mm,257mm}}\fi
    \def\@st@fontsize{\small}
   \or %VGA
    \AtBeginDvi{\special{papersize=8in,6in}}
    \def\@st@fontsize{\small}
   \or %SVGA
    \AtBeginDvi{\special{papersize=8in,6in}}
    \def\@st@fontsize{\normalsize}
   \or %XGA
    \AtBeginDvi{\special{papersize=10.24in,7.68in}}
    \def\@st@fontsize{\normalsize}
   \or %SXGA
    \AtBeginDvi{\special{papersize=12.8in,10.24in}}
    \def\@st@fontsize{\normalsize}
   \or %UVGA
    \AtBeginDvi{\special{papersize=12in,16in}}
    \def\@st@fontsize{\large}
   \or % ?? 1280x600
    \AtBeginDvi{\special{papersize=12.8in,6in}}
    \def\@st@fontsize{\normalsize}
   \or % ?? 1280x768
    \AtBeginDvi{\special{papersize=12.8in,7.68in}}
    \def\@st@fontsize{\normalsize}
   \or % ?? 1024x600
    \AtBeginDvi{\special{papersize=10.24in,6in}}
    \def\@st@fontsize{\normalsize}
   \or % 525p
    \AtBeginDvi{\special{papersize=9in,6in}}
    \def\@st@fontsize{\normalsize}
   \or % 720p
    \AtBeginDvi{\special{papersize=12.8in,7.2in}}
    \def\@st@fontsize{\normalsize}
   \or % 1080i
    \AtBeginDvi{\special{papersize=19.2in,10.8in}}
    \def\@st@fontsize{\normalsize}
 \fi
\fi

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%                  FONT DEFINITIONS          %%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
% load expected fonts before setting up fonts
\IfFileExists{amsmath.sty}{\RequirePackage{amsmath}}{}
\IfFileExists{amssymb.sty}{\RequirePackage{amssymb}}{}
% define default families and weights...
\def\rmdefault{lcmss}        % no roman
\def\sfdefault{lcmss}
\def\ttdefault{lcmtt}
% Japanese Fonts. Make sure you must not use font packages, e.g. jis.sty,
% since such package changes default mincho.
\def\mcdefault{gt} % no mincho.
\def\gtdefault{gt}
\def\itdefault{sl}
\def\sldefault{sl}
\def\bfdefault{bx}
%
% Font size identifiers.
\def\@xpt{10}
\def\@xiipt{12}
\def\@xivpt{14.4}
\def\@xviipt{17.28}
\def\@xxpt{20.74}
\def\@xxivpt{24.88}
\def\@xxixpt{28.66}
\def\@xxxivpt{34.4}
\def\@xxxxi{41.28}
\def\@lpt{49.54}
%
% Font definitions.
\DeclareFontFamily{OT1}{lcmss}{\hyphenchar\font45 }
\DeclareFontShape{OT1}{lcmss}{m}{n}{<->lcmss8}{}
\DeclareFontShape{OT1}{lcmss}{m}{In}{<->ilcmss8}{}
\DeclareFontShape{OT1}{lcmss}{m}{sl}{<->lcmssi8}{}
\DeclareFontShape{OT1}{lcmss}{m}{Isl}{<->ilcmssi8}{}
\DeclareFontShape{OT1}{lcmss}{m}{it}{<->sub*lcmss/m/sl}{}
\DeclareFontShape{OT1}{lcmss}{m}{Iit}{<->sub*lcmss/m/Isl}{}
\DeclareFontShape{OT1}{lcmss}{bx}{n}{<->lcmssb8}{}
\DeclareFontShape{OT1}{lcmss}{bx}{In}{<->ilcmssb8}{}
\DeclareFontShape{OT1}{lcmss}{m}{ui}{<->sub*cmr/m/ui}{}
\DeclareFontShape{OT1}{lcmss}{bx}{ui}{<->sub*cmr/m/ui}{}
\DeclareFontFamily{OT1}{lcmtt}{\hyphenchar\font\m@ne}
\DeclareFontShape{OT1}{lcmtt}{m}{n}{<->cmtt8}{}
\DeclareFontShape{OT1}{lcmtt}{m}{In}{<->icmtt8}{}
\DeclareFontShape{OT1}{lcmtt}{m}{it}{<->cmitt10}{}
\DeclareFontShape{OT1}{lcmtt}{m}{ui}{<->sub*cmtt/m/it}{}
\DeclareFontShape{OT1}{lcmtt}{bx}{ui}{<->sub*cmtt/m/it}{}
\DeclareFontFamily{OML}{lcmm}{\skewchar\font'177}
\DeclareFontShape{OML}{lcmm}{m}{it}{<->cmmi8}{}
\DeclareFontShape{OML}{lcmm}{m}{Iit}{<->icmmi8}{}
\DeclareFontFamily{OMS}{lcmsy}{\skewchar\font'60}
\DeclareFontShape{OMS}{lcmsy}{m}{n}{<->cmsy8}{}
\DeclareFontShape{OMS}{lcmsy}{m}{In}{<->icmsy8}{}
\DeclareFontFamily{OMX}{lcmex}{}
\DeclareFontShape{OMX}{lcmex}{m}{n}{<->cmex10}{}
\DeclareFontShape{OMX}{lcmex}{m}{In}{<->icmex10}{}
%
% Math script sizes
\DeclareMathSizes{\@xiipt}{\@xiipt}{\@xpt}{\@xpt}
\DeclareMathSizes{\@xivpt}{\@xivpt}{\@xiipt}{\@xpt}
\DeclareMathSizes{\@xviipt}{\@xviipt}{\@xivpt}{\@xiipt}
\DeclareMathSizes{\@xxpt}{\@xxpt}{\@xviipt}{\@xivpt}
\DeclareMathSizes{\@xxivpt}{\@xxivpt}{\@xxpt}{\@xviipt}
\DeclareMathSizes{\@xxixpt}{\@xxixpt}{\@xxivpt}{\@xxpt}
\DeclareMathSizes{\@xxxivpt}{\@xxxivpt}{\@xxixpt}{\@xxivpt}
\DeclareMathSizes{\@xxxxi}{\@xxxxi}{\@xxxivpt}{\@xxixpt}
\DeclareMathSizes{\@lpt}{\@lpt}{\@xxxxi}{\@xxxivpt}
%
%
\def\@setfontsize@parms#1#2#3#4#5#6#7#8{%
   \lineskip #1\relax%
   \parskip #2\relax
   \abovedisplayskip #3\relax
   \belowdisplayskip #4\relax
   \abovedisplayshortskip #5\relax
   \belowdisplayshortskip #6\relax
  \setbox\strutbox=\hbox{\vrule \@height#7\p@\@depth#8\p@\@width\z@}%
  \baselineskip\baselinestretch\baselineskip
  \normalbaselineskip\baselineskip}
%
% definition of font sizes
% \@setfontsize@params
%     {sԂ\lineskiplimitȉɂȂƂ̃AL}
%     {i̐擪ɕtAL}
%     {ʍsĐ̏̃AL}
%     {ʍsĐ̉̃AL}
%     {ZʍsĐ̏̃AL}
%     {ZʍsĐ̉̃AL}
%     {\strut ̍}
%     {\strut ̐[}
\def\normalsize{%
      \@setfontsize\normalsize\@xxivpt{36\p@ plus8\p@ minus5\p@}%
      \@setfontsize@parms
            {8\p@}%
            {\z@ plus8\p@ minus3\p@}%
            {.25\baselineskip}
            {.25\baselineskip}
            {.25\baselineskip}
            {.25\baselineskip}
            {20}{8.5}%
}
\def\small{\@setfontsize\small\@xxpt{28\p@ plus3\p@ minus4\p@}%
           \@setfontsize@parms
            {6\p@}%
            {\z@ plus3\p@ minus3\p@}%
            {.25\baselineskip}
            {.25\baselineskip}
            {.25\baselineskip}
            {.25\baselineskip}
            {17}{7}%
}
\def\footnotesize{\@setfontsize\footnotesize\@xviipt{19\p@ plus3\p@ minus\p@}%
           \@setfontsize@parms
            {2\p@}%
            {\z@ plus3\p@ minus3\p@}%
            {.25\baselineskip}
            {.25\baselineskip}
            {.25\baselineskip}
            {.25\baselineskip}
            {13.5}{5.6}%
}
\let\scriptsize=\footnotesize
\def\tiny{\@setfontsize\tiny\@xivpt{17\p@ plus2\p@ minus\p@}%
          \@setfontsize@parms
            {2pt}%
            {\z@ plus3\p@ minus3\p@}%
            {.25\baselineskip}
            {.25\baselineskip}
            {.25\baselineskip}
            {.25\baselineskip}
            {10}{4}%
}
\def\ttiny{\@setfontsize\tiny\@xiipt{14\p@ plus2\p@ minus\p@}%
          \@setfontsize@parms
            {2pt}%
            {\z@ plus3\p@ minus3\p@}%
            {.25\baselineskip}
            {.25\baselineskip}
            {.25\baselineskip}
            {.25\baselineskip}
            {8}{3}%
}
\def\large{\@setfontsize\large\@xxixpt{48\p@ plus10\p@ minus6\p@}%
           \@setfontsize@parms
            {10\p@}%
            {\z@ plus10\p@ minus6\p@}%
            {.25\baselineskip}
            {.25\baselineskip}
            {.25\baselineskip}
            {.25\baselineskip}
            {27}{11}%
}
\def\Large{\@setfontsize\Large\@xxxivpt{52\p@ plus10\p@ minus6\p@}%
           \@setfontsize@parms
            {10\p@}%
            {\z@ plus10\p@ minus6\p@}%
            {.25\baselineskip}
            {.25\baselineskip}
            {.25\baselineskip}
            {.25\baselineskip}
            {27}{11}%
}
\def\LARGE{\@setfontsize\LARGE\@xxxxi{60\p@ plus10\p@ minus6\p@}%
           \@setfontsize@parms
            {10\p@}%
            {\z@ plus10\p@ minus6\p@}%
            {.25\baselineskip}
            {.25\baselineskip}
            {.25\baselineskip}
            {.25\baselineskip}
            {27}{11}%
}
\def\huge{\@setfontsize\huge\@lpt{75\p@ plus10\p@ minus6\p@}%
           \@setfontsize@parms
            {10\p@}%
            {\z@ plus10\p@ minus6\p@}%
            {.25\baselineskip}
            {.25\baselineskip}
            {.25\baselineskip}
            {.25\baselineskip}
            {37}{13}%
}
\let\Huge\huge
\@st@fontsize
\renewcommand\baselinestretch{}
\setlength\parindent{1zw}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
%
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%            PAGE LAYOUT        %%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\setlength\headheight{\z@}
\setlength\headsep   {\z@}
\setlength\topskip   {24\p@}
\setlength\footskip  {25\p@}
%
%
\setlength\maxdepth{.5\topskip}
\setlength\@maxdepth\maxdepth
%
% TEXT WIDTH
\def\@settozw#1{\setlength\@tempdima{1zw}\divide#1\@tempdima\multiply#1\@tempdima}
\setlength\@tempdima{\paperwidth}
\addtolength\@tempdima{-1.5in}
\setlength\textwidth{\@tempdima}
\@settozw\textwidth
\@settopoint\textwidth
\columnwidth \textwidth
\columnsep 1em
\columnseprule \z@
%
% TEXT HEIGHT
\setlength\@tempdima{\paperheight}
\addtolength\@tempdima{-1.5in}
\addtolength\@tempdima{-\footskip}
\addtolength\@tempdima{-\headsep}
\addtolength\@tempdima{-\headheight}
\setlength\textheight\@tempdima
\divide\@tempdima\baselineskip
\@tempcnta=\@tempdima
\setlength\textheight{\@tempcnta\baselineskip}
\advance\textheight by \baselineskip
\advance\textheight by \topskip
% side margin
\setlength\@tempdima     {\paperwidth}
\addtolength\@tempdima   {-2in}
\addtolength\@tempdima   {-\textwidth}
\setlength\oddsidemargin {.5\@tempdima}
\setlength\evensidemargin{\oddsidemargin}
%
% margin par
\setlength\marginparwidth{.8in}
\setlength\@tempdima     {\oddsidemargin}
\addtolength\@tempdima   {-\marginparwidth}
\setlength\marginparsep  {.5\@tempdima}
\setlength\marginparpush {.75\baselineskip}
%
% topmargin
\setlength\topmargin  {\paperheight}
\addtolength\topmargin{-2in}
\addtolength\topmargin{-\headheight}
\addtolength\topmargin{-\headsep}
\addtolength\topmargin{-\textheight}
\addtolength\topmargin{-\footskip}
\addtolength\topmargin{-.5\topmargin}
\@settopoint\topmargin
%
%
\setlength\footnotesep{20\p@}
\setlength{\skip\footins}{10\p@ \@plus 2\p@ \@minus 4\p@}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%              PAGE STYLE              %%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\put@thumbnail@box@button{%
  \setlength{\@tempdima}{\textwidth}%
  \addtolength{\@tempdima}{\oddsidemargin}%
  \addtolength{\@tempdima}{.75in}%
  \setlength{\@tempdimb}{\topmargin}%
  \addtolength{\@tempdimb}{.75in}%
  \addtolength{\@tempdimb}{-\baselineskip}%
  \@moveto{\@tempdima}{-\@tempdimb}{\@presentation@thumbnail@box@button}%
}
\def\ps@headings{%
  \def\ps@slide{%
    \def\@oddfoot{\@indicator
      \@mainsize \mbox{}\hfil\hb@xt@3em{\hss\theslide\if@presentation(\@presentation@next@button)\fi}%
    }%
    \def\@oddhead{\@pageframe\hss}
    \let\@evenfoot\@oddfoot
    \let\@evenhead\@oddhead
  }
  \def\ps@overlay{%
    \def\@oddfoot{\@mainsize \mbox{}\hfil\hb@xt@3em{\theoverlay\hss}}%
    \def\@oddhead{\@pageframe\hss}
    \let\@evenfoot\@oddfoot
    \let\@evenhead\@oddhead
  }%
  \def\ps@note{%
    \def\@oddfoot{%
      \@mainsize
      \if@clock
        \fbox{\large \@arabic\c@minutes\space min}%
      \else
        \null
      \fi
      \hfil\thenote}%
    \def\@oddhead{\@pageframe\hss}
    \let\@evenfoot\@oddfoot
    \let\@evenhead\@oddhead
  }%
}
\def\ps@plain{%
  \def\ps@slide{%
    \def\@oddfoot{\@indicator
      \@mainsize \mbox{}\hfil\hb@xt@3em{\hss\theslide\if@presentation(\@presentation@next@button)\fi}%
    }%
    \def\@oddhead{\@pageframe\hss}
    \let\@evenfoot\@oddfoot
    \let\@evenhead\@oddhead
  }
  \def\ps@overlay{%
    \def\@oddfoot{%
      \@mainsize \mbox{}\hfil\hb@xt@3em{\theoverlay\hss}%
    }%
    \def\@oddhead{\@pageframe\hss}
    \let\@evenfoot\@oddfoot
    \let\@evenhead\@oddhead
  }
  \def\ps@note{%
    \def\@oddfoot{%
      \@mainsize \hbox{}\hfil\thenote
    }%
    \def\@oddhead{\@pageframe\hss}
    \let\@evenfoot\@oddfoot
    \let\@evenhead\@oddhead
  }
}% \ps@plain
\def\ps@empty{%
  \def\ps@slide{%
    \def\@oddhead{\@pageframe\hss}
    \def\@oddfoot{}%
    \let\@evenfoot\@oddfoot
    \let\@evenhead\@oddhead
  }%
  \def\ps@overlay{%
    \def\@oddhead{\@pageframe\hss}
    \def\@oddfoot{}%
    \let\@evenfoot\@oddfoot
    \let\@evenhead\@oddhead
  }%
  \def\ps@note{%
    \def\@oddhead{\@pageframe\hss}
    \def\@oddfoot{}%
    \let\@evenfoot\@oddfoot
    \let\@evenhead\@oddhead
  }%
}
%
% make the page style "headings"
\ps@headings
%
% Invisible math fonts
\DeclareMathVersion{invisible}
\SetSymbolFont{operators}{normal}
                 {OT1}{lcmss}{m}{n}

\SetSymbolFont{letters}{normal}
                 {OML}{lcmm}{m}{it}
\SetSymbolFont{symbols}{normal}
                 {OMS}{lcmsy}{m}{n}
\SetSymbolFont{largesymbols}{normal}
                 {OMX}{lcmex}{m}{n}

\SetSymbolFont{operators}{invisible}
                 {OT1}{lcmss}{m}{In}
\SetSymbolFont{letters}{invisible}
                 {OML}{lcmm}{m}{Iit}
\SetSymbolFont{symbols}{invisible}
                 {OMS}{lcmsy}{m}{In}
\SetSymbolFont{largesymbols}{invisible}
                  {OMX}{lcmex}{m}{In}

\def\@mainsize{\visible\tiny}
\newenvironment{titlepage}{%
   \newpage
   \setcounter{page}{\z@}%
  }{%
   \newpage
}
\if@presentation
  \AtEndDocument{%
    \begin{slide}
    {\centering{\Huge \mbox{}\@finalmessage\par}}%
    \thispagestyle{finish}%
    \gotop{60000}%
    \end{slide}
  }
\fi
\setlength\leftmargini  {1zw}
\setlength\leftmarginii {1zw}
\setlength\leftmarginiii{1zw}
\setlength\leftmarginiv {1zw}
\setlength\leftmarginv  {1zw}
\setlength\leftmarginvi {1zw}
\def\@listi{%
  \leftmargin\leftmargini
  \topsep \z@ \@plus .5\baselineskip
  \partopsep \z@
  \parsep \z@
  \itemsep \parsep
  \itemindent 1zw
  \labelwidth 2zw
  \listparindent 1zw
  \labelsep 1zw
}
\let\@listI\@listi
\@listi
\def\@listii{%
  \itemindent 1zw
  \leftmargin\leftmarginii
  \labelwidth\leftmarginii
  \topsep \z@ \@plus .25\baselineskip
}
\def\@listiii{%
  \itemindent 1zw
  \leftmargin\leftmarginiii
  \labelwidth\leftmarginiii
  \topsep \z@ \@plus .25\baselineskip
}
\def\@listiv{%
  \itemindent 1zw
  \leftmargin\leftmarginiv
  \labelwidth\leftmarginiv
}
\def\@listv{%
  \itemindent 1zw
  \leftmargin\leftmarginv
  \labelwidth\leftmarginv
}
\def\@listvi{%
  \itemindent 1zw
  \leftmargin\leftmarginvi
  \labelwidth\leftmarginvi
}
\leftmargin\leftmargini
\labelwidth\leftmargini\advance\labelwidth-\labelsep
\renewenvironment{enumerate}
  {\ifnum \@enumdepth >\thr@@\@toodeep\else
   \advance\@enumdepth\@ne
   \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
   \list{\csname label\@enumctr\endcsname}{%
         \@listI
         \usecounter{\@enumctr}%
         \def\makelabel##1{\hss\llap{##1}}}%
   \fi}{\endlist}
\renewenvironment{itemize}
  {\ifnum \@itemdepth >\thr@@\@toodeep\else
   \advance\@itemdepth\@ne
   \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
   \expandafter
   \list{\csname \@itemitem\endcsname}{%
         \@listI
         \def\makelabel##1{\hss\llap{##1}}}%
   \fi}{\endlist}
\newenvironment{verse}{%
  \let\\\@centercr
  \list{}{\itemsep\z@
    \itemindent -2zw%
    \listparindent\itemindent
    \rightmargin\leftmargin \advance\leftmargin 2zw}%
    \item\relax}{%
   \endlist
}
\newenvironment{quotation}{%
  \vskip .5\baselineskip
  \list{}{\listparindent 1zw%
    \itemindent\listparindent
    \rightmargin\z@
    \parsep\z@ \@plus\p@}%
    \item\relax}{%
   \endlist
   \vskip .5\baselineskip
}
\newenvironment{quote}{%
  \list{}{\rightmargin\z@}%
    \item\relax}{%
   \endlist
}
\newenvironment{description}{\list{}{\labelwidth\z@
                                     \itemindent-\leftmargin
                                     \let\makelabel\descriptionlabel}}
                            {\endlist}
\newcommand*{\descriptionlabel}[1]{\hspace\labelsep
                                \normalfont\bfseries #1}

\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{\theenumi.}
\newcommand\labelenumii{(\theenumii)}
\newcommand\labelenumiii{\theenumiii.}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{$\m@th\bullet$}
\newcommand\labelitemii{\normalfont\bfseries \textendash}
\newcommand\labelitemiii{$\m@th\ast$}
\newcommand\labelitemiv{$\m@th\cdot$}
\setlength\arraycolsep{8\p@}
\setlength\tabcolsep{10\p@}
\setlength\arrayrulewidth{.6\p@}
\setlength\doublerulesep{3\p@}
\labelsep 10pt
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{5\p@}
\setlength\fboxrule{.6\p@}
\def\theequation{\@arabic\c@equation}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\relax}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\relax}
\DeclareRobustCommand*{\cal}{\@fontswitch{\relax}{\mathcal}}
\DeclareRobustCommand*{\mit}{\@fontswitch{\relax}{\mathnormal}}
\renewcommand\footnoterule{\hrule height .6\p@ depth 0pt width .33\textwidth
  \vskip-.6\p@}
\def\thefootnote{\fnsymbol{footnote}}
\@addtoreset{footnote}{slide}
\@addtoreset{footnote}{overlay}
\@addtoreset{footnote}{note}
\long\def\@makefntext#1{
    \noindent
    \hangindent 10\p@
    \hb@xt@10\p@{\hss\@makefnmark}#1}
\newcommand\maketitle{%
  \if@titlepage \let\@org@topfil\@topfil \let\@topfil\vfil \fi
  \begingroup
  \centering {\Large \@title \par}%
  \@author \par \@date\par
  \endgroup%
  \if@presentation\thispagestyle{start}\fi
  \if@titlepage \break \let\@topfil\@org@topfil \fi
}

% \newcommand\today{\number\year N
% \ifcase\month\or
% 1\or 2\or 3\or 4\or 5\or 6\or
% 7\or 8\or 9\or 10\or 11\or 12\fi
% \number\day }
\pagenumbering{arabic}
\onecolumn

\IfFileExists{pifont.sty}{\if@usepi
  \RequirePackage{pifont}
  \RequirePackage{calc}
  \def\sepline{%
    \par\noindent\leaders\hbox{\ding{47}\ }\hfill\ }%
  \let\@org@dingfill\dingfill
  \let\@org@dingline\dingline
  \def\dingfill{\@ifnextchar[\@dingfill\@org@dingfill}%
  \def\@dingfill[##1]##2{\textcolor{##1}{\@org@dingfill{##2}}}%
  \def\dingline{\@ifnextchar[\@dingline\@org@dingline}%
  \def\@dingline[##1]##2{\textcolor{##1}{\@org@dingline{##2}}}%
  \let\@org@dinglist\dinglist
  \def\dinglist{\@ifnextchar[\@dinglist\@@dinglist}%
  \def\@dinglist[##1]##2{\@@dinglist{##2}[##1]}%
  \def\@@dinglist##1{\@ifnextchar[{\@@@dinglist{##1}}{\@org@dinglist{##1}}}%
  \def\@@@dinglist##1[##2]{\begin{Pilist}[##2]{pzd}{##1}}%
  \let\@org@Pilist\Pilist
  \def\Pilist{\@ifnextchar[\@Pilist\@@Pilist}%
  \def\endPilist{\end{list}}%
  \def\@Pilist[##1]##2##3{\begin{list}{\Pisymbol[##1]{##2}{##3}}{\@listI}}%
  \def\@@Pilist##1##2{\begin{list}{\Pisymbol{##1}{##2}}{\@listI}}%
  \let\@org@Pisymbol\Pisymbol
  \def\Pisymbol{\@ifnextchar[\@Pisymbol\@org@Pisymbol}%
  \def\@Pisymbol[##1]##2##3{\textcolor{##1}{\Pifont{##2}\char##3}}
  \let\@org@ding\ding
  \def\ding{\@ifnextchar[\@ding\@org@ding}%
  \def\@ding[##1]##2{\textcolor{##1}{\@org@ding{##2}}}%
  \def\ProgressArrow{\ding{224}}%
  \newcounter{myec}%
  \def\labelenumi{\setcounter{myec}{191+\value{enumi}}\ding{\value{myec}}}%
  \def\labelenumii{\setcounter{myec}{201+\value{enumii}}\ding{\value{myec}}}%
  \fi
}{%
  \def\sepline{%
    \par\noindent\leaders\hbox{\ }\hfill\ }%
  \def\ProgressArrow{$\Rightarrow$}%
}

\newbox\@color@item
\def\make@item@color@label#1{%
  \edef\@item@file{\csname @#1@item\endcsname}%
  \setbox\@color@item=%
    \hbox{\hss\includegraphics[width=1zw,height=.75zw]{\@item@file}\hss}%
  \hbox to 1zw{%
    \hss
    \vbox to 1zw{%
      \vss
      \box\@color@item
    }%
    \hss
  }%
}
\def\labelitemi  {\make@item@color@label{red}}
\def\labelitemii {\make@item@color@label{blue}}
\def\labelitemiii{\make@item@color@label{green}}
\def\labelitemiv {\make@item@color@label{black}}

\def\dviout@sp@str{\leavevmode\begingroup\@sanitize\@dviout@sp@str}
\def\@dviout@sp@str#1{\special{html:<a href="dviout: #1">}\endgroup \@@dviout@sp@str}
\def\@@dviout@sp@str#1{#1\special{html:</a>}}
\def\@dviout@button#1#2{\dviout@sp@str{#1}{#2}}

\edef\@presentation@command{!pdf}
\def\@dviout@button#1#2{\dviout@sp@str{#1}{#2}}
\def\@presentation@start@button{\expandafter\@dviout@button{!A\@presentation@command;!b}{START}}
\def\@presentation@finish@button{\@dviout@button{!A!n!f;!b}{END}}
\def\@presentation@thumbnail@button{\@dviout@button{d6}{Thumbnail}}
\def\@presentation@thumbnail@box@button{\@dviout@button{d6}{{\tiny$\boxplus$}}}
\def\@presentation@fourview@button{\@dviout@button{ds}{4pages}}
\def\@presentation@next@button{\@dviout@button{je}{$\Rsh$}}
\def\@presentation@prev@button{\@dviout@button{jf}{$\circlearrowleft$}}
\def\@presentation@top@button{\@dviout@button{jt}{Top}}
\def\@presentation@bottom@button{\@dviout@button{jb}{Bot}}
\def\@presentation@return@button{\@dviout@button{js}{Return}}
\def\@presentation@draw@button{\@dviout@button{ni}{Draw}}
\def\@presentation@coveron@button{\@dviout@button{no}{CoverOn}}
\def\@presentation@coveroff@button{\@dviout@button{nf}{CoverOff}}
\def\@presentation@bye@button{\@dviout@button{fq}{\hb@xt@3em{Bye\hss}}}

\def\@dummy@nombre{\hb@xt@3em{\hss}}

\def\ps@start{%
  \def\@oddfoot{\@mainsize
   \if@presentation
    \@presentation@start@button\hfil
    \if@indicator
      \@presentation@coveron@button\hfil
      \@presentation@coveroff@button\hfil
      \@presentation@thumbnail@button\hfil
    \else
      \hfil
      \hfil
      \hfil
    \fi
    \@presentation@next@button
   \fi
  }%
  \let\@evenfoot\@oddfoot
}

\def\ps@finish{%
  \def\@oddfoot{\@mainsize
   \if@presentation
    \@presentation@prev@button\hfil
    \if@indicator
      \@presentation@return@button\hfil
      \@presentation@fourview@button\hfil
      \@presentation@thumbnail@button\hfil
    \else
      \hfil
      \hfil
      \hfil
    \fi
    \@presentation@finish@button\hfil
    \@presentation@bye@button
    \@presentation@thumbnail@box@button
   \fi
  }%
  \let\@evenfoot\@oddfoot
}

\def\@indicator{\@mainsize
 \if@presentation
  \@presentation@prev@button
  \@presentation@thumbnail@box@button
  \if@indicator
    \hfil
    \@presentation@coveron@button\hfil
    \@presentation@coveroff@button\hfil
    \@presentation@thumbnail@button
  \else
    \hfil
    \hfil
    \hfil
  \fi
 \fi
%  \@presentation@next@button
}

\def\@oddfoot{\@indicator\hfil
  \@dummy@nombre
}%
\let\@evenfoot\@oddfoot

\def\vcentering{\let\@topfil\vfil}
\def\novcentering{\let\@topfil\relax}

\def\useindicator{\@indicatortrue}
\def\nouseindicator{\@indicatorfalse}

\def\@presentation@bg@white{%
  \message{use white background.}%
  \edef\@presentation@command{N3\@presentation@command}%
}
\def\@presentation@bg@black{%
  \message{use black background.}%
  \edef\@presentation@command{N4\@presentation@command}%
}
\def\setbackground#1{%
  \@ifundefined{@presentation@bg@#1}%
      {\ClassError{jslides}{Background #1 undefined}\@ehc}%
  \csname @presentation@bg@#1\endcsname
}

\def\@presentation@sc@white{%
  \message{use white screen.}%
  \edef\@presentation@command{N1\@presentation@command}%
  \@set@label@item{white}%
}
\def\@presentation@sc@black{%
  \message{use black screen.}%
  \edef\@presentation@command{N2\@presentation@command}%
  \@set@label@item{black}%
}
\def\setscreen#1{%
  \@ifundefined{@presentation@sc@#1}%
      {\ClassError{jslides}{Background #1 undefined}\@ehc}%
  \csname @presentation@sc@#1\endcsname
}

\newif\if@cover@defined\@cover@definedfalse
\def\@presentation@cv@on{%
  \message{use cover sheet.^^J}%
  \edef\@presentation@command{NON5\@presentation@command}%
  \def\recover@cover@type{\special{dviout NO}}%
  \@cover@definedtrue
  \def\pause{\special{pause}\special{dviout `timer 86400000 je}}
  \def\wait##1{\special{pause}\gonext{##1}}
}
\def\@presentation@cv@off{%
  \edef\@presentation@command{NFN5\@presentation@command}%
  \def\recover@cover@type{\special{dviout NF}}%
  \@cover@definedtrue
}
\def\@presentation@cv@pause{%
  \message{use cover sheet on pause.^^J}%
  \edef\@presentation@command{NPN5\@presentation@command}%
  \def\recover@cover@type{\special{dviout NP}}%
  \@cover@definedtrue
  \def\pause{\special{pause}\special{dviout `timer 86400000 je}}
  \def\wait##1{\special{pause}\gonext{##1}}
}
\def\setcover#1{%
  \@ifundefined{@presentation@cv@#1}%
      {\ClassError{jslides}{Cover sheet type #1 undefined}\@ehc}%
  \if@cover@defined
    \ClassError{jslides}{Cover sheet type multiply defined}\@ehc
  \fi
  \csname @presentation@cv@#1\endcsname
}
\AtBeginDocument{%
  \if@cover@defined\else\setcover{off}\fi
}

\long\def\finalmessage#1{\long\def\@finalmessage{#1}}
\finalmessage{Thank you!}

\@onlypreamble\setbackground
\@onlypreamble\setscreen

%-----------------------------------------------------------------------
% rules
%
\newbox\@pagerule
\def\@zhrule#1#2{\vbox{\hrule \@width#1 \@height#2}}% -#1 -#2 vbox
\def\@zvrule#1#2{\hbox{\vrule \@width#2 \@height#1}}% -#2 -#1 hbox
\def\@hmoveto#1#2{% #2  #1 Eɓ
  \setbox\@pagerule=\hbox{#2}%
  \wd\@pagerule=\z@ % @pagerule̕0Ƃ݂Ȃ
  \hbox to \z@{\hskip#1\box\@pagerule\hss}% 
}
\def\@vmoveto#1#2{% #2  #1 ɓ
  \ifvmode\leavevmode\fi
  \setbox\@pagerule=\hbox{#2}%
  \ht\@pagerule=\z@ % @pagerule̍0Ƃ݂Ȃ
  \dp\@pagerule=\z@ % @pagerule̐[0Ƃ݂Ȃ
  \vbox to \z@{\vskip#1\box\@pagerule\vss}% 
}
\def\@moveto#1#2#3{% #3 E#1, #2 
  \@hmoveto{#1}{\@vmoveto{#2}{#3}}%
}
\def\@zframe@box#1#2#3{%
  \dimen0=#1\relax\advance\dimen0by#3\relax\advance\dimen0by#3\relax
  \advance\dimen0by-.5pt\relax%      ??
  \@moveto{-#3}{\z@}{\@zhrule{\dimen0}{#3}}%
  \dimen1=#2\relax\advance\dimen1by#3\relax
  \@moveto{-#3}{\dimen1}{\@zvrule{\dimen1}{#3}}%
  \@moveto{-#3}{\dimen1}{\@zhrule{\dimen0}{#3}}%
  \@moveto{#1}{\dimen1}{\@zvrule{\dimen1}{#3}}%
}

\def\@oddhead{\@pageframe\hss}
\let\@evenhead\@oddhead

\def\draw@thin@frame{% assume we are at the header position
  \setlength{\@tempdima}{\textwidth}%
  \addtolength{\@tempdima}{5pt}%
  \setlength{\@tempdimb}{\textheight}%
  \addtolength{\@tempdimb}{5pt}%
  \@moveto{-2.5pt}{-2.5pt}{\@zframe@box{\@tempdima}{\@tempdimb}{1.2pt}}%
}
\def\draw@thick@frame{% assume we are at the header position
  \setlength{\@tempdima}{\textwidth}%
  \addtolength{\@tempdima}{5pt}%
  \setlength{\@tempdimb}{\textheight}%
  \addtolength{\@tempdimb}{5pt}%
  \@moveto{-2.5pt}{-2.5pt}{\@zframe@box{\@tempdima}{\@tempdimb}{3.6pt}}%
}
\def\draw@double@frame{%
  \draw@thin@frame
  \setlength{\@tempdima}{\textwidth}%
  \addtolength{\@tempdima}{16.48pt}%
  \setlength{\@tempdimb}{\textheight}%
  \addtolength{\@tempdimb}{16.4pt}%
  \@moveto{-8.2pt}{-8.2pt}{\@zframe@box{\@tempdima}{\@tempdimb}{3.6pt}}%
}
\IfFileExists{color.sty}{\RequirePackage{color}}{}
\def\draw@shadow@frame{%
  \draw@thin@frame
  \special{color push cmyk 0 0 0 0.8}%
  \dimen0=\textheight
  \advance\dimen0by11.8pt\relax
  \dimen1=\textwidth
  \advance\dimen1by8pt\relax
  \@moveto{3pt}{\dimen0}{\@zhrule{\dimen1}{8pt}}%
  \advance\dimen1by-4.4pt\relax
  \@moveto{\dimen1}{\dimen0}{\@zvrule{\textheight}{8pt}}%
  \special{color pop}
}
\def\draw@none@frame{}%
\def\setframe#1{%
  \@ifundefined{draw@#1@frame}%
      {\ClassError{jslides}{frame type #1 undefined}\@ehc}%
      \relax
  \@ifundefined{preset@#1@frame}%
      {\@ifundefined{hung@wallpaper}%
          {\def\hungwallpaper{}}%
          \relax}%
      {\csname preset@#1@frame\endcsname}%
  \def\@pageframe{\hung@wallpaper\csname draw@#1@frame\endcsname}%
}
\setframe{none}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% presentation specials
\def\play{\begingroup\@sanitize\@exec@href}
\def\@exec@href#1{\special{dviout `href file:#1}\endgroup}
\def\button{\leavevmode\begingroup\@sanitize\@button@href}
\def\@button@href#1{\special{html:<a href="file:#1">}\endgroup\@@button@href}
\def\@@button@href#1{#1\special{html:</a>}}
\def\gonext#1{\special{dviout `timer #1 je}}
\def\gotop#1{\special{dviout `timer #1 jt}}

\newtoks\@slides@hook@toks
\def\clear@slides@hook{\global\@slides@hook@toks={\clear@slides@hook}}
\clear@slides@hook
\def\@hook@slides#1{\toks0={#1}%
  \edef\slides@hook@kernel{\global\noexpand\@slides@hook@toks={\the\toks0 \the\@slides@hook@toks}}%
  \slides@hook@kernel
}
\def\coverstyle#1{%
  \@ifundefined{@cv@style@#1}%
      {\ClassError{jslides}{Cover sheet type #1 undefined}\@ehc}%
  \csname @cv@style@#1\endcsname
  \@hook@slides{\recover@cover@type}%
}
\def\@cv@style@on{%
  \special{dviout NO}%
}
\def\@cv@style@off{%
  \special{dviout NF}%
}
\def\@cv@style@pause{%
  \special{dviout NP}%
}
\let\@org@slide\slide
\def\slide{%
  \@ifnextchar[\@jslide\@@jslide
}
\def\@jslide[#1]{%
  \@@jslide
  \@make@slide@title{#1}%
  \@slidetitle@sep@line
}
\def\@@jslide{%
  \c@max@view@level=0\relax
  \the\@slides@hook@toks
  \clear@slides@hook
  \clear@view@level
  \parindent1zw
  \@org@slide
}
\let\@org@endslide\endslide
\def\endslide{%
  \ifnum\c@max@view@level>\c@curr@view@level
    \edef\@sp@level{`+\the\c@max@view@level-'}%
    \special{dviout \@sp@level}%
  \fi
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% slide sheet with columns
\def\@slidetitle@sep@line{%
  \vskip.5\lineskip
  \hrule width \linewidth height .6pt \vskip.5\lineskip
  \hrule width \linewidth height 2.4pt  \kern.25\baselineskip
}
\def\@make@slide@title#1{%
  \setbox0=\vbox{\hsize=\linewidth\Large\noindent#1}%
  \box0%
}
\def\slidetitle#1{\par\noindent
  \@make@slide@title{#1}%
  \@slidetitle@sep@line
}%
\def\LR{\@ifnextchar[{\@LR}{\@LR[0.67]}}
\def\@LR[#1]{%
  \newdimen\@leftcol@width \@leftcol@width=#1\linewidth
  \advance\@leftcol@width -.5\columnsep
  \@settozw\@leftcol@width
  \newdimen\@rightcol@width \@rightcol@width\linewidth
  \advance\@rightcol@width -\@leftcol@width
  \advance\@rightcol@width -\columnsep
  \@settozw\@rightcol@width
  \par\noindent
  \newdimen\@org@tabcolsep \@org@tabcolsep\tabcolsep
  \newdimen\@org@parindent \@org@parindent\parindent
  \def\@each@mp{\tabcolsep\@org@tabcolsep\parindent=1zw}%
  \tabcolsep\z@
  \tabular{p{\@leftcol@width}@{\hskip\columnsep}p{\@rightcol@width}}%
  \def\newcolumn{\end{minipage}&%
    \begin{minipage}[t]\@rightcol@width\@each@mp}%
  \let\newpage\newcolumn \let\clearpage\newcolumn
  \begin{minipage}[t]\@leftcol@width\@each@mp
}
\def\endLR{\end{minipage}\endtabular\par}

\IfFileExists{graphicx.sty}{\RequirePackage{graphicx}%
  \gdef\insertgraphics{\@ifnextchar[\@insertgraphics\@@insertgraphics}%
  \gdef\@insertgraphics[##1]##2{%
    \setbox\@tempboxa=\vbox{\noindent\includegraphics[##1]{##2}}%
    \@@@insertgraphics
  }%
  \gdef\@@insertgraphics##1{%
    \setbox\@tempboxa=\vbox{\noindent\includegraphics[width=\linewidth]{##1}}%
    \@@@insertgraphics
  }%
  \gdef\@@@insertgraphics{%
    \@tempdima=\ht\@tempboxa \ht\@tempboxa=1zh%
    \advance \@tempdima by -1zh%
    \dp\@tempboxa\@tempdima
    \par
    \box\@tempboxa
    \par
  }
}{}
\def\caption#1{{\center\footnotesize#1\endcenter}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% automatic hyper-reference procedure.
\begingroup
\catcode`\#=12%
\gdef\@add@sharp@to@ref@str{%
 \edef\@ref@str{#\@ref@str}%
}
\endgroup

\def\label#1{%
  \@bsphack
  \special{html:<a name="#1">}%
  \protected@write\@auxout{}%
         {\string\newlabel{#1}{{\@currentlabel}{\thepage}}}%
  \special{html:</a>}%
  \@esphack
}
\let\ltx@label\label % amsmath modifies our usual \label but uses \ltx@label.
\def\ref#1{%
  \edef\@ref@str{#1}%
  \@add@sharp@to@ref@str
  \special{html:<a href="\@ref@str">}%
  \expandafter\@setref\csname r@#1\endcsname\@firstoftwo{#1}%
  \special{html:</a>}%
}
\def\pageref#1{%
  \edef\@ref@str{#1}%
  \@add@sharp@to@ref@str
  \special{html:<a href="\@ref@str">}%
  \expandafter\@setref\csname r@#1\endcsname\@secondoftwo{#1}%
  \special{html:</a>}%
}
% provides also standards commands.
\def\href{\leavevmode\begingroup \@sanitize \@href}
\def\@href#1{\special{html:<a href="#1">}\endgroup \@@href}
\def\@@href#1{#1\special{html:</a>}}
\def\name{\leavevmode\begingroup \@sanitize \@name}
\def\@name#1{\special{html:<a name="#1">}\endgroup \@@name}
\def\@@name#1{#1\special{html:</a>}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% colored box
\newdimen\@thmsep
\@thmsep1zw
\newbox\@thmbox
\def\@prepare@thm@box{\par
 \setbox\@thmbox=\vbox\bgroup
   \dimen0=\linewidth
   \advance\dimen0by-2\@thmsep
   \hsize=\dimen0\relax
   \linewidth\dimen0
   \vskip\@thmsep
   \list{}{\labelwidth\z@
     \labelsep\z@
     \itemindent\z@
     \leftmargin\z@
     \rightmargin\leftmargin
     \listparindent1zw}%
   \item
}
\def\@end@thm@box{%
 \endlist
 \vskip\@thmsep
 \egroup
 \begingroup
 \@tempdima=\ht\@thmbox
 \advance\@tempdima by -1zh%
 \dp\@thmbox=\@tempdima
 \ht\@thmbox=1zh%
 \fboxsep\z@
 \hbox{\colorbox{\@thm@box@color}{\kern\@thmsep\box\@thmbox\kern\@thmsep}}%
 \endgroup
}
\def\setboxcolor#1{%
  \@ifundefined{thm@box@#1}%
      {\ClassError{jslides}{box color #1 undefined}\@ehc}%
  \csname thm@box@#1\endcsname
}
\def\thm@box@blue{\xdef\@thm@box@color{bluebox}}
\def\thm@box@green{\xdef\@thm@box@color{greenbox}}
\def\thm@box@red{\xdef\@thm@box@color{redbox}}
\def\thm@box@gray{\xdef\@thm@box@color{graybox}}
\definecolor{bluebox}{rgb}{0.85,0.85,1.0}
\definecolor{redbox}{rgb}{1.0,0.85,0.85}
\definecolor{greenbox}{rgb}{0.85,1.0,0.85}
\definecolor{graybox}{rgb}{0.88,0.88,0.88}
\def\emphbox#1{\setboxcolor{#1}\@prepare@thm@box}
\def\endemphbox{\@end@thm@box}


%% with wallpaper
\def\setdirectory#1{\edef\@wallpaper@directory{#1}}
\def\setextension#1{\edef\@wallpaper@extension{#1}}
\def\setwallpaper#1{\def\@wallpaper@file{%
  \@wallpaper@directory/#1.\@wallpaper@extension}%
  \let\hung@wallpaper\@hung@wallpaper
}
\setdirectory{./images}
\def\@settobp#1{\setlength\@tempdimc{1bp}\divide#1\@tempdimc\multiply#1\@tempdimc}%
\def\@hung@wallpaper{%
  \@tempdima=1in%
  \advance\@tempdima by \oddsidemargin
  \@tempdimb=\paperheight
  \advance\@tempdimb by -\headheight
  \advance\@tempdimb by -\topmargin
  \advance\@tempdimb by -1in%
  \if@bmp@mode
    \dimen7\paperwidth
    \dimen8\paperheight
    \@settobp{\dimen7}%
    \@settobp{\dimen8}%
    \advance\dimen7by1bp%
    \advance\dimen8by1bp%
    \@tempcnta=\dimen7%
    \@tempcntb=\dimen8%
    \divide\@tempcnta by 65781%
    \divide\@tempcntb by 65781\relax
    \edef\@sp@wp{bmpfile=\@wallpaper@file\space hsize=\the\@tempcnta\space vsize=\the\@tempcntb\space watermark}%
    \@moveto{-\@tempdima}{\@tempdimb}{\hbox to \paperwidth{\vbox to \paperheight{\special{\@sp@wp}\vss}\hss}}%
  \else
    \@moveto{-\@tempdima}{\@tempdimb}{\includegraphics[width=\paperwidth,height=\paperheight]{\@wallpaper@file}}%
  \fi
}
\def\preset@none@frame{%
  \definecolor{red}{rgb}{0.93,0,0}
  \definecolor{blue}{rgb}{0,0,1}
  \definecolor{green}{rgb}{0.03,0.81,0}
  \definecolor{yellow}{rgb}{0.92,0.93,0}
}
\let\hung@wallpaper\relax
\def\draw@whiteboard@frame{}
\def\preset@whiteboard@frame{%
  \setwallpaper{whiteboard}%
  \setframe{none}%
  \setbackground{black}%
  \let\hung@wallpaper\@hung@wallpaper
  \definecolor{red}{rgb}{0.93,0,0}
  \definecolor{blue}{rgb}{0,0,1}
  \definecolor{green}{rgb}{0.03,0.81,0}
  \definecolor{yellow}{rgb}{0.92,0.93,0}
  \@set@label@item{whiteboard}
}
\def\draw@blackboard@frame{}
\def\preset@blackboard@frame{%
  \setwallpaper{blackboard}%
  \setframe{none}%
  \setscreen{black}%
  \let\hung@wallpaper\@hung@wallpaper
  \definecolor{bluebox}{rgb}{0.35,0.35,0.5}
  \definecolor{redbox}{rgb}{0.5,0.35,0.35}
  \definecolor{greenbox}{rgb}{0.35,0.5,0.35}
  \definecolor{graybox}{rgb}{0.38,0.38,0.38}
  \definecolor{red}{rgb}{0.98,0.4,0.55}
  \definecolor{yellow}{rgb}{0.99,1,0.38}
  \definecolor{blue}{rgb}{0.16,0.7,0.98}
  \definecolor{green}{rgb}{0.32,0.82,0.6}
  \@set@label@item{blackboard}
}
\def\draw@chalkboard@frame{}
\def\preset@chalkboard@frame{%
  \setwallpaper{chalkboard}%
  \setframe{none}%
  \setscreen{black}%
  \let\hung@wallpaper\@hung@wallpaper
  \definecolor{bluebox}{rgb}{0.35,0.35,0.5}
  \definecolor{redbox}{rgb}{0.5,0.35,0.35}
  \definecolor{greenbox}{rgb}{0.35,0.5,0.35}
  \definecolor{graybox}{rgb}{0.38,0.38,0.38}
  \definecolor{red}{rgb}{0.98,0.4,0.55}
  \definecolor{yellow}{rgb}{0.99,1,0.38}
  \definecolor{blue}{rgb}{0.16,0.7,0.98}
  \definecolor{green}{rgb}{0.32,0.82,0.6}
  \@set@label@item{chalkboard}
}
\def\red#1{{\textcolor{red}{#1}}}
\def\green#1{{\textcolor{green}{#1}}}
\def\blue#1{{\textcolor{blue}{#1}}}
\def\yellow#1{{\textcolor{yellow}{#1}}}
\def\@set@label@item#1{%
  \def\@black@item{\@wallpaper@directory/#1-black.\@wallpaper@extension}%
  \def\@red@item{\@wallpaper@directory/#1-red.\@wallpaper@extension}%
  \def\@blue@item{\@wallpaper@directory/#1-blue.\@wallpaper@extension}%
  \def\@green@item{\@wallpaper@directory/#1-green.\@wallpaper@extension}%
  \def\@yellow@item{\@wallpaper@directory/#1-yellow.\@wallpaper@extension}%
}
\@set@label@item{white}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% overlay and new "animation" provided by dviout 3.17.4

\def\voverlay{\@ifnextchar[\@voverlay{\@voverlay[\the\c@curr@view@level]}}
\def\@voverlay[#1]{%
  \@ignoretrue
  \newcount\c@level \c@level=#1\relax
  \newcount\c@boxes \c@boxes=1\relax
  \edef\@final@sp@level{`+#1-'}%
  \expandafter\newbox\csname ol@box\the\c@boxes\endcsname
  \def\pause{\end{minipage}\egroup
    \advance\c@boxes by 1\relax
    \expandafter\newbox\csname ol@box\the\c@boxes\endcsname
    \expandafter\setbox\csname ol@box\the\c@boxes\endcsname=\hbox\bgroup
      \begin{minipage}[t]{\columnwidth}%
  }%
  \expandafter\setbox\csname ol@box\the\c@boxes\endcsname=\hbox\bgroup
    \begin{minipage}[t]{\columnwidth}%
}%

\def\endvoverlay{%
  \end{minipage}\egroup
  \newdimen\ht@max \ht@max=0pt\relax
  \newdimen\dp@max \dp@max=0pt\relax
  \newcount\c@i \c@i=1\relax
  %% compute the maximam height and depth.
  \loop \ifnum\c@i>\c@boxes\else
    \@tempdima=\expandafter\ht\csname ol@box\the\c@i\endcsname\relax
    \ifdim\ht@max<\@tempdima \ht@max=\@tempdima\fi
    \@tempdima=\expandafter\dp\csname ol@box\the\c@i\endcsname\relax
    \ifdim\dp@max<\@tempdima \dp@max=\@tempdima\fi
    \advance\c@i by 1\relax
  \repeat
  %% insert each boxes (get it size zero!) in max-sized box.
  \c@i=1\relax
  \setbox0=\hbox{%
    \loop \ifnum\c@i>\c@boxes\else
      \ifnum\c@i=\c@boxes\@ol@last@pause{\c@level}\else\@ol@pause{\c@level}\fi
      \expandafter\wd\csname ol@box\the\c@i\endcsname=0pt\relax
      \expandafter\box\csname ol@box\the\c@i\endcsname
      \advance\c@i by 1\relax
    \repeat
  }%
  \box0%
  \special{dviout \@final@sp@level}%
}

\def\hoverlay{\@ifnextchar[\@hoverlay{\@hoverlay[\the\c@curr@view@level]}}
\def\@hoverlay[#1]{%
  \@ignoretrue
  \newcount\c@level \c@level=#1\relax
  \newcount\c@boxes \c@boxes=1\relax
  \newif\if@ol@math
  \ifmmode\@ol@mathtrue\else\@ol@mathfalse\fi
  \edef\@final@sp@level{`+#1-'}%
  \expandafter\newbox\csname ol@box\the\c@boxes\endcsname
  \def\pause{\if@ol@math$\fi\egroup
    \advance\c@boxes by 1\relax
    \expandafter\newbox\csname ol@box\the\c@boxes\endcsname
    \expandafter\setbox\csname ol@box\the\c@boxes\endcsname=\hbox\bgroup\if@ol@math$\fi
  }%
  \expandafter\setbox\csname ol@box\the\c@boxes\endcsname=\hbox\bgroup\if@ol@math$\else\fi
}%

\def\endhoverlay{%
  \if@ol@math$\fi\egroup
  \newdimen\wd@max \wd@max=0pt\relax
  \newcount\c@i \c@i=1\relax
  %% compute the maximam width
  \loop \ifnum\c@i>\c@boxes\else
    \@tempdima=\expandafter\wd\csname ol@box\the\c@i\endcsname\relax
    \ifdim\wd@max<\@tempdima \wd@max=\@tempdima\fi
    \advance\c@i by 1\relax
  \repeat
  %% insert each boxes (get it size zero!) in max-sized box.
  \c@i=1\relax
  \setbox0=\hbox to \wd@max{%
    \loop \ifnum\c@i>\c@boxes\else
      \ifnum\c@i=\c@boxes\@ol@last@pause{\c@level}\else\@ol@pause{\c@level}\fi
      \expandafter\wd\csname ol@box\the\c@i\endcsname=0pt\relax
      \hbox to 0pt{\expandafter\box\csname ol@box\the\c@i\endcsname\hss}%
      \advance\c@i by 1\relax
    \repeat
    \hss
  }%
  \box0%
  \special{dviout \@final@sp@level}%
}


\newcount\c@curr@view@level
\newcount\c@max@view@level
\c@curr@view@level=0\relax
\def\clear@view@level{%
  \@set@curr@view@level{0}%
}
\def\@set@curr@view@level#1{%
  \global\c@curr@view@level=#1\relax
}
\def\@get@curr@view@level#1{%
  #1=\c@curr@view@level\relax
}
\def\@step@curr@view@level{%
  \global\advance\c@curr@view@level by 1\relax
}
\def\sq@pause{\@ifnextchar[\@sq@pause\@@sq@pause}
\def\@sq@pause[#1]{%
  \c@curr@view@level=#1\relax
  \advance\c@curr@view@level by -1\relax
  \@@sq@pause
}
\def\@@sq@pause{%
  \@step@curr@view@level
  \ifnum\c@max@view@level<\c@curr@view@level
    \global\c@max@view@level=\c@curr@view@level\relax
  \fi
  \edef\@sp@level{`+\the\c@curr@view@level-'}%
  \special{dviout \@sp@level}%
}
\let\pause\sq@pause
\def\@ol@pause#1{%
  \edef\@sp@level{`+\the#1'}%
  \special{dviout \@sp@level}%
  \ifnum#1>\c@max@view@level
    \global\c@max@view@level=#1\relax
  \fi
  \advance#1by1\relax
}
\def\@ol@last@pause#1{%
  \edef\@sp@level{`+\the#1-'}%
  \special{dviout \@sp@level}%
  \ifnum#1>\c@max@view@level
    \global\c@max@view@level=#1\relax
  \fi
  \advance#1by1\relax
}

\def\plain{%
  \special{dviout `+-'}%
}

\endinput
%%
%% End of file `jslides.cls'.
